<?php
// coding by Felis

// Степень ашыбаг
error_reporting(0);

// GZip-сжатие
# если включено
if($gzip = 'on') {
# степень компрессии
$step = 5;
# Узнаем какие типы сжатия поддерживает браузер
if($_SERVER['HTTP_ACCEPT_ENCODING']){
$compress = strtolower($_SERVER['HTTP_ACCEPT_ENCODING']);
}
else{
$compress = strtolower($_SERVER['HTTP_TE']);
}
# Если поддерживается deflate
if(substr_count($compress,'deflate'))
{
function compress_output_deflate($output){
global $step;
return gzdeflate($output, $step);
}
$method = 'deflate';
header('Content-Encoding: deflate');
ob_start('compress_output_deflate');
ob_implicit_flush(0);
}
# Если поддерживается gzip
elseif(substr_count($compress,'gzip'))
{
function compress_output_gzip($output){
global $step;
return gzencode($output, $step);
}
$method = 'gzip';
header('Content-Encoding: gzip');
ob_start('compress_output_gzip');
ob_implicit_flush(0);
}
# Если поддерживается x-gzip
elseif(substr_count($compress,'x-gzip'))
{
function compress_output_x_gzip($output){
global $step;
$size = strlen($output);
$crc = crc32($output);
$output = gzcompress($output, $step);
$output = substr($output, 0, strlen($output) - 4);
return "\x1f\x8b\x08\x00\x00\x00\x00\x00".$output.pack('V',$crc).pack('V',$size);
}
$method = 'x-gzip';
header('Content-Encoding: x-gzip');
ob_start('compress_output_x_gzip');
ob_implicit_flush(0);
}
# Инфа о проценте сжатия и др.
function info_compress()
{
global $method, $step;
$contents = ob_get_contents();
# Сколько весит исходная страница
$in = strlen($contents);
switch($method){
default:
print $in.' %';
break;
case 'deflate':
$out = strlen(gzdeflate($contents, $step));
print ''.round(100-(100/($in/$out)),1).' %';
break;
case 'gzip':
$out = strlen(gzencode($contents, $step));
print ''.round(100-(100/($in/$out)),1).' %';
break;
case 'x-gzip':
$out = strlen(gzcompress($contents, $step));
print ''.round(100-(100/($in/$out)),1).' %';
break;
}
return; }
}
// Сервис для Wap-мастеров
# Имя админа
if(!$_GET['author']) {
$author = $copyright;
}
else {
$author = htmlspecialchars(stripslashes($_GET['author']));
}
# Адрес сервиса
if(!$_GET['url']) {
$url = $addr;
}
else {
$url = htmlspecialchars(stripslashes($_GET['url']));
}

// Ссылка "На главную"
define('INDEX',$_SERVER['HTTP_HOST']);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?=$title?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?=$charset?>"/>
<meta http-equiv="Content-Style-Type" content="text/css"/>
<meta name="Description" content="<?=$description?>"/>
<meta name="Keywords" content="<?=$keywords?>"/>
<meta name="robots" content="<?=$robots?>"/>
<link rel="icon" href="http://<?=$_SERVER['HTTP_HOST']?>/images/text.png" type="image/x-icon"/>
<link rel="stylesheet" type="text/css" href="http://<?=$_SERVER['HTTP_HOST']?>/templates/main.css"/>
</head>
<body><!-- Powered by Felis -->
